<?php

namespace Netzmacher\QuickShop\TCA;

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2018-2019 - Dirk Wildt <http://wildt.at.die-netzmacher.de/>
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * @author      Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package     TYPO3
 * @subpackage  quick_shop
 * @version 8.10.0
 * @since 8.10.0
 */
class Localisation
{

	/**
	 * Replace( ):	Method removes all strings '%%%', if localisation support is FALSE 
	 *							* This enables the localisation support
	 *							Method removes all strings '%%%*%%%', if localisation support is TRUE
	 *							* This disables the localisation support
	 * 
	 * @param				array	$TCA: current TCA configuration
	 * @return			array	$TCA: processed TCA configuration
	 * @access public
	 * @version     8.10.0
	 * @since       8.10.0
	 */
	static public function Replace( $TCA )
	{
		$TCAjson = json_encode( $TCA );

//		var_dump( \Netzmacher\QuickShop\ExtensionManager::getLLsupport() );
//		die();
		switch( \Netzmacher\QuickShop\ExtensionManager::getLLsupport() )
		{
			case(TRUE):
				$TCAjson = str_replace( '%%%', NULL, $TCAjson );
			case(FALSE):
			default:
				$TCAjson = preg_replace( '|%.*?%|i', '', $TCAjson );
		}

		$TCA = json_decode( $TCAjson, true );
		return $TCA;
	}

}
