<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$fal = \Netzmacher\QuickShop\ExtensionManager::getFal();

$tx_quickshop_provider = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_providers',
				'label' => 'title',
				'label_alt' => 'mail_city',
				'label_alt_force' => true,
				'default_sortby' => 'ORDER BY title, mail_city',
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'fe_group' => 'fe_group',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => true,
				'thumbnail' => 'image',
				'iconfile' => 'EXT:quick_shop/ext_icon.gif', // 180318, dwildt: And is needed for TYP03 6.2
				'type' => 'type',
				'typeicon_column' => 'type',
				'typeicon_classes' => \Netzmacher\QuickShop\TCA\Ctrl\Icons::TypeIconClasses(),
				'prependAtCopy' => 'LLL:EXT:lang/locallang_general.php:LGL.prependAtCopy',
				'searchFields' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,title,url,'
				. 'mail_address,mail_street,mail_postcode,mail_city,mail_country,geoupdateprompt,geoupdateforbidden,mail_lat,mail_lon,mail_url,mail_,'
				. 'marginal_title,marginal_short,marginal_description'
				. 'telephone,fax,email,'
				. \Netzmacher\QuickShop\TCA\Ctrl\Searchfields::Image()
				. '--palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.control;control,'
				. 'seo_keywords,seo_description,'
				. 'teaser_description,teaser_short,teaser_title,'
				. 'tx_quickshop_products,'
				. 'tx_quickshop_providercat'
				,
				'useColumnsForDefaultValues' => ''
				. 'title,type'
				,
				'tx_browser' => array(
						'geoupdate' => array(
								'address' => array(
										'country' => 'mail_country',
										'areaLevel1' => '',
										'areaLevel2' => '',
										'location' => array(
												'zip' => 'mail_postcode',
												'city' => 'mail_city',
										),
										'street' => array(
												'name' => 'mail_street',
												'number' => null,
										),
								),
								'api' => array(
										'prompt' => 'geoupdateprompt',
										'forbidden' => 'geoupdateforbidden',
								),
								'geodata' => array(
										'lat' => 'mail_lat',
										'lon' => 'mail_lon',
								),
								'update' => \Netzmacher\QuickShop\ExtensionManager::getGeocoding(),
						),
				),
		),
		'interface' => array(
				'showRecordFieldList' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,'
				. 'type,page,url,'
				. 'title,bodytext,'
				. 'mail_address,mail_street,mail_postcode,mail_city,mail_country,geoupdateprompt,geoupdateforbidden,mail_lat,mail_lon,'
				. 'marginal_title,marginal_short,marginal_description'
				. 'telephone,ticket_url,fax,email,'
				. \Netzmacher\QuickShop\TCA\Ctrl\Searchfields::Image()
				. '--palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.control;control,'
				. 'seo_keywords,seo_description,'
				. 'teaser_description,teaser_short,teaser_title,'
				. 'tx_quickshop_products,'
				. 'tx_quickshop_providercat'
		,
		),
		'columns' => array(
				'sys_language_uid' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
						'config' => array(
								'type' => 'select',
								'renderType' => 'selectSingle',
								'special' => 'languages',
								'items' => array(
										array(
												'LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages',
												-1,
												'flags-multiple'
										),
								),
								'default' => 0,
						)
				),
				'l10n_parent' => array(
						'displayCond' => 'FIELD:sys_language_uid:>:0',
						'exclude' => 1,
						'label' => 'LLL:EXT:lang/locallang_general.php:LGL.l18n_parent',
						'config' => array(
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectSingle',
								'items' => array(
										array( '', 0 ),
								),
								'foreign_table' => 'tx_quickshop_provider',
								'foreign_table_where' => 'AND tx_quickshop_provider.uid=###REC_FIELD_l10n_parent### AND tx_quickshop_provider.sys_language_uid IN (-1,0)',
						),
				),
				'l10n_diffsource' => array(
						'config' => array(
								'type' => 'passthrough'
						),
				),
				'type' => \Netzmacher\QuickShop\TCA\Columns::Type(),
				'page' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:page',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '1',
								'maxitems' => '1',
								'minitems' => '1',
								'wizards' => array(
										'_PADDING' => 2,
										'_VERTICAL' => 1,
								),
						),
				),
				'title' => array(
						'exclude' => 0,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim,required',
						)
				),
				'bodytext' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.bodytext',
						'config' => \Netzmacher\QuickShop\TCA\Columns\Config::RTE(),
				),
				'url' => array(
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.url',
						'exclude' => 0,
						'config' => \Netzmacher\QuickShop\TCA\Columns\Wizards::Url(),
				),
//				'url' => array(
//						'exclude' => 0,
////          'l10n_mode' => 'exclude',
//						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.url',
//						'config' => \Netzmacher\QuickShop\TCA\Columns\Wizards::Url(),
//				),
				'mail_address' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_address',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						),
				),
				'mail_street' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_street',
						'config' => array(
								'type' => 'input',
								'size' => '60',
								'eval' => 'trim'
						),
				),
				'mail_postcode' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_postcode',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'mail_city' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_city',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim,required',
						)
				),
				'mail_country' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_country',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'mail_lat' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_lat',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'mail_lon' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_lon',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'mail_url' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_url',
						'config' => \Netzmacher\QuickShop\TCA\Columns\Wizards::Url(),
				),
				'marginal_title' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.marginal_title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'marginal_short' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.marginal_short',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'marginal_description' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.marginal_description',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						)
				),
				'geoupdateprompt' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.geoupdateprompt',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'geoupdateforbidden' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.geoupdateforbidden',
						'config' => array(
								'type' => 'check',
								'default' => '0'
						)
				),
				'telephone' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.telephone',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'fax' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.fax',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'email' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.email',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'hidden' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:lang/Resources/Private/Language/locallang_general.xlf:LGL.hidden',
						'config' => array(
								'type' => 'check',
								'default' => '0'
						),
				),
				'top' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.top',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'fe_group' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'fe_group' ],
				'seo_keywords' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:tca_phrase.seo_keywords',
						'config' => array(
								'type' => 'input',
								'size' => '80',
								'eval' => 'trim'
						),
				),
				'seo_description' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:tca_phrase.seo_description',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'teaser_description' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.teaser_description',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						)
				),
				'teaser_short' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.teaser_short',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'teaser_title' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.teaser_title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'tx_quickshop_products' => \Netzmacher\QuickShop\TCA\Columns::SelectMultipleSideBySide( 'tx_quickshop_products', 'tx_quickshop_provider', NULL, 'tx_quickshop_provider' ),
				'tx_quickshop_providercat' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.tx_quickshop_providercat',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectMultipleSideBySide',
								'size' => 5,
								'minitems' => 0,
								'maxitems' => 999,
								'MM_opposite_field' => 'tx_quickshop_provider',
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_providercat',
										'table_foreign' => 'tx_quickshop_provider'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_providercat',
										'table_foreign' => 'tx_quickshop_provider'
								),
								'foreign_table' => 'tx_quickshop_providercat',
								'foreign_table_where' => 'AND tx_quickshop_providercat.pid=###CURRENT_PID### ORDER BY tx_quickshop_providercat.title',
						),
				),
		),
		'types' => array(
				'noitem' => array(
						'showitem' => 'This is a copy of the type record. See allocation below this array configuration.'
				),
				// Copy of record
				'notype' => array( 'showitem' => ''
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_provider, '
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.typerecord;typerecord,'
						. '  title,'
						. '  bodytext' . \Netzmacher\QuickShop\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_marginal,'
						. '  marginal_title, marginal_short, marginal_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_mail, '
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_contact,'
						. '  telephone,fax,email,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_providercat,'
						. '  tx_quickshop_providercat,'
						. \Netzmacher\QuickShop\TCA\Types::Image( 'big', $fal )
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_product,'
						. '  tx_quickshop_products,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_control,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.control;control,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_seo,'
						. '  seo_keywords,seo_description,'
				,
				),
				'record' => array( 'showitem' => ''
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_provider, '
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.typerecord;typerecord,'
						. '  title,'
						. '  bodytext' . \Netzmacher\QuickShop\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_marginal,'
						. '  marginal_title, marginal_short, marginal_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_mail, '
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_contact,'
						. '  telephone,fax,email,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_providercat,'
						. '  tx_quickshop_providercat,'
						. \Netzmacher\QuickShop\TCA\Types::Image( 'big', $fal )
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_product,'
						. '  tx_quickshop_products,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_control,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.control;control,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_seo,'
						. '  seo_keywords,seo_description,'
				,
				),
				'page' => array( 'showitem' => ''
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_provider, '
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette_typepage;typepage,'
						. '  title,'
						. '  bodytext' . \Netzmacher\QuickShop\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_marginal,'
						. '  marginal_title, marginal_short, marginal_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_mail, '
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_contact,'
						. '  telephone,fax,email,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_providercat,'
						. '  tx_quickshop_providercat,'
						. \Netzmacher\QuickShop\TCA\Types::Image( 'big', $fal )
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_product,'
						. '  tx_quickshop_products,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_control,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.control;control,'
				,
				),
				'url' => array( 'showitem' => ''
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_provider, '
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette_typeurl;typeurl,'
						. '  title,'
						. '  bodytext' . \Netzmacher\QuickShop\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_marginal,'
						. '  marginal_title, marginal_short, marginal_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_mail, '
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.palette_mailaddress;mailaddress, '
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_contact,'
						. '  telephone,fax,email,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_product,'
						. '  tx_quickshop_products,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_providercat,'
						. '  tx_quickshop_providercat,'
						. \Netzmacher\QuickShop\TCA\Types::Image( 'big', $fal )
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_product,'
						. '  tx_quickshop_products,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.div_control,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.control;control,'
				,
				),
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'hidden,top,--linebreak--,'
						. 'fe_group'
				),
				'mailaddress' => array(
						'showitem' => ''
						. 'mail_address;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_address,--linebreak--,'
						. 'mail_street;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_street,--linebreak--,'
						. 'mail_postcode;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_postcode,'
						. 'mail_city;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_city,--linebreak--,'
						. 'mail_country;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_country,',
						'canNotCollapse' => 1,
				),
				'maillatlon' => array(
						'showitem' => ''
						. 'geoupdateprompt;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.geoupdateprompt,--linebreak--,'
						. 'geoupdateforbidden;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.geoupdateforbidden,--linebreak--,'
						. 'mail_lat;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_lat,'
						. 'mail_lon;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.mail_lon,',
						'canNotCollapse' => 1,
				),
				'typerecord' => array(
						'showitem' => ''
						. 'type;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.type,'
						. 'url;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.url'
						,
						'canNotCollapse' => 1,
				),
				'typepage' => array(
						'showitem' => ''
						. 'type;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.type,'
						. 'page;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.page'
						,
						'canNotCollapse' => 1,
				),
				'typeurl' => array(
						'showitem' => ''
						. 'type;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.type,'
						. 'url;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_provider.xml:tx_quickshop_provider.url'
						,
						'canNotCollapse' => 1,
				),
		),
);

$image_1stforlistonly = true;
$tx_quickshop_provider[ 'columns' ] = \Netzmacher\QuickShop\TCA\Columns::ImageColumns( $tx_quickshop_provider[ 'columns' ], $image_1stforlistonly, $fal );
$tx_quickshop_provider[ 'palettes' ] = \Netzmacher\QuickShop\TCA\Palettes::Image( $tx_quickshop_provider[ 'palettes' ], $fal );

// Enable or disable the localisation
$tx_quickshop_provider = \Netzmacher\QuickShop\TCA\Localisation::Replace( $tx_quickshop_provider );

return $tx_quickshop_provider;